/**
 * 监听事件列表
 */
export class Listeners {
    constructor() {
        /**
         * 发送之前事件监听列表
         * 回调函数参数为`完整配置`(只读,不应修改)
         */
        this.onSend = [];
        /**
         * 收到数据响应后事件监听列表
         * 回调函数参数为`返回结果`和`完整配置`(只读,不应修改)
         */
        this.onResponse = [];
        /**
         * 请求完成时事件监听列表
         * 回调函数参数为`操作结果`和`完整配置`(只读,不应修改)
         */
        this.onComplete = [];
        /**
         * 处理失败事件监听列表
         * 回调函数参数为`失败原因`和`完整配置`(只读,不应修改)
         */
        this.onRejected = [];
        /**
         * 请求取消事件监听列表
         * 回调函数参数为`取消原因`和`完整配置`(只读,不应修改)
         */
        this.onAbort = [];
    }
}
//# sourceMappingURL=listeners.js.map